SystemOrganization addCategory: #'JQuery-Tests-Core-Unit'!
SystemOrganization addCategory: #'JQuery-Tests-Core-Functional'!

WAFileLibrary subclass: #JQFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQFileLibrary methodsFor: 'uploaded' stamp: 'lr 10/20/2008 21:03'!
baseCss
	^ '/* Site
   -------------------------------- */

html {
	overflow-y: scroll;
	background: #5f5f5f url(html_bg.png) repeat-x scroll;
}

body {
	margin: 0;
	padding: 0 0 20px;
	background: transparent url(body_bg.jpg) no-repeat center top;
	min-height: 100%;
	font-family: "Arial", "Helvetica", "Verdana", "sans-serif";
}

#wrapper {
	margin: 0 auto;
	width: 956px;
	position: relative;
}

#banner {
	height: 125px;
}

/* Logo
   -------------------------------- */

h1.logo {
	position: absolute;
	top: 55px;
	left: 28px;
	margin: 0;
}

h1.logo,
h1.logo a {
	width: 235px;
	height: 55px;
}

h1.logo a {
	display: block;
	background: url(logo.gif) no-repeat;
}

h1.logo a span {
	display: none;
}

/* Navigation
   -------------------------------- */

#navigation {
	height: 41px;
	float: left;
	position: absolute;
	top: 62px;
	right: 0px;
}

#navigation .left {
	float: left;
	width: 5px;
	height: 41px;
	/* background: url(''../images/navigation.png'') no-repeat left top; */
	background: url(''../images/navigation_l.png'') no-repeat left top;
}

#ie6 #navigation .left {
	background: transparent none;
	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src=''../images/navigation_l.png'', sizingMethod=''scale'');
	zoom: 1;
}

#navigation .right {
	float: left;
	width: 3px;
	height: 41px;
	background: url(''../images/navigation.png'') no-repeat right top;
}

#navigation ul,
#navigation ul li {
	float: left;
	list-style-type: none;
	margin: 0;
	padding: 0;
	font-size: 13px;
	line-height: 38px;
}

#navigation ul {
	height: 41px;
	background: url(''../images/navigation.png'') repeat-x 0 -41px;
}

#navigation ul li a {
	float: left;
	display: block;
	height: 41px;
	padding: 0 18px;
	color: #ccc;
	text-decoration: none;
	background: url(''../images/navigation_s.png'') no-repeat right top;
}

#navigation ul li.selected a {
	color: #fff;
}

#navigation ul li.last a{
	background-image: none;
}

#navigation ul li a:hover {
	color: #fff;
}


/* Content
   -------------------------------- */

#content-wrapper {
	background: #FFF url(''../images/content_bg.png'') repeat-y 0 0;
}

#content {
	background: url(''../images/content_body_bg.png'') no-repeat 0 13px;
	zoom: 1;
}

.content-top {
	font-size: 1px;
	height: 13px;
	background: url(''../images/content_top_bg.png'');
}

.content {
	padding: 0 3px 0 3px;
	overflow: hidden;
}

#content .content {
	min-height: 380px;
	background: url(''../images/dot.png'') repeat-y 203px 0;
}

#home #content .content,
#download #content .content,
#demos #content .content {
	background: none;
}

#ie6 #content .content {
	height: 380px;
	overflow-y: visible;
}

/* Layout */

.content-head {
	height: 74px;
	border-bottom: 1px solid #ccc;
	background-color: #fff;
}

.content-head h2 {
	float: left;
	margin: 0;
	padding: 20px 0 20px 24px;
	color: #ff9c08;
	font: normal 29px/30px "Lucida Grande", "Arial", "Helvetica", "Verdana", "sans-serif";
	letter-spacing: .5px;
}

.content-head h2 span {
	padding-right: 16px;
	border-right: 1px solid #ccc;
}

.content-head p {
	margin: 0;
	padding: 28px 0 0 12px;
	float: left;
	font: normal 15px "Lucida Grande", "Arial", "Helvetica", "Verdana", "sans-serif";
	letter-spacing: .5px;
}

/* Footer
   -------------------------------- */

#footer {
	height: 45px;
	padding: 10px 0;
	position: relative;
}

#footer .inner {
	position: relative;
	z-index: 2;
}

#ie6 #footer .inner {
	zoom: 1;
}

#footer .bg {
	background: url(''../images/footer_bg.png'') no-repeat left top;
	width: 100%;
	height: 65px;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}

#ie6 #footer .bg {
	background: transparent none;
	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src=''../images/footer_bg.png'', sizingMethod=''scale'');
	zoom: 1;
}

#footer p {
	margin: 0;
	padding: 0;
	color: #5e5e5e;
	font: normal 9px ''Arial'', ''Helvetica'', sans-serif;
	text-transform: uppercase;
}

#footer p a {
	color: #bbb;
}

#footer span.first {
	display: block;
	float: left;
	padding: 6px 0 0 16px;
}

#footer .block {
	display: block;
	float: left;
}

#footer .block span,
#footer span.empty {
	display: none;
}

#footer .liferay {
	margin: 3px 22px 0px 3px;
	background: url(''../images/icon_liferay.gif'');
	width: 98px;
	height: 22px;
	border: 0;
}

#footer .adobe {
	margin: 2px 0 0 0;
	background: url(''../images/icon_adobe.png'');
	width: 28px;
	height: 28px;
}'! !

!JQFileLibrary methodsFor: 'accessing' stamp: 'lr 10/20/2008 20:04'!
selectorsToInclude
	^ #(baseCss)! !

JSObjectTest subclass: #JQueryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

JQueryTest subclass: #JQPluginTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

JQPluginTest subclass: #JQAjaxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:04'!
ajax
	^ self jQuery ajax! !

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 21:47'!
ajaxSetup
	^ self jQuery ajaxSetup! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/21/2008 13:46'!
testAddParameter
	self 
		assert: (self ajax reset; addParameter: 'foo')
		equals: self name , '.ajax({data:"foo"})'! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/21/2008 13:46'!
testAddParameterValue
	self 
		assert: (self ajax reset; addParameter: 'foo' -> true)
		equals: self name , '.ajax({data:"foo="+true})'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/21/2008 13:47'!
testAjax
	self 
		assert: self ajax
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a"].join("&")})'.
	self 
		assert: self ajax reset
		equals: self name , '.ajax()'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/16/2008 14:46'!
testAjaxSetup
	self 
		assert: self ajaxSetup
		equals: self name , '.ajaxSetup()'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:44'!
testAsync
	self
		assert: (self ajax reset; async: true)
		equals: self name , '.ajax({async:true})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:44'!
testCache
	self
		assert: (self ajax reset; cache: false)
		equals: self name , '.ajax({cache:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/21/2008 13:46'!
testCallback
	self 
		assert: (self ajax callback: [ ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/21/2008 13:46'!
testCallbackValue
	self 
		assert: (self ajax callback: [ ] value: (self jQuery this hasClass: 'foo'))
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a","1="+' , self name , '(this).hasClass("foo")].join("&")})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:44'!
testContentType
	self
		assert: (self ajax reset; contentType: 'text/html')
		equals: self name , '.ajax({contentType:"text/html"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:44'!
testData
	self
		assert: (self ajax reset; data: (Array with: 'foo' with: 'bar'))
		equals: self name , '.ajax({data:["foo","bar"]})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testDataFilter
	self
		assert: (self ajax reset; dataFilter: (self javascript alert: 'Hello'))
		equals: self name , '.ajax({dataFilter:function(){return alert("Hello")}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testDataType
	self
		assert: (self ajax reset; dataType: 'xml')
		equals: self name , '.ajax({dataType:"xml"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testGlobal
	self
		assert: (self ajax reset; global: false)
		equals: self name , '.ajax({global:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/21/2008 13:47'!
testHtml
	self 
		assert: (self ajax html: [ :html | html div ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a","1"].join("&"),dataType:"html"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testIfModified
	self
		assert: (self ajax reset; ifModified: false)
		equals: self name , '.ajax({ifModified:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/21/2008 13:46'!
testMultiple
	self 
		assert: (self ajax
			callback: [ :value | ] value: $a; 
			callback: [ :value | ] value: $b;
			callback: [ ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a","1="+"a","2="+"b","3"].join("&")})'.! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testPassword
	self
		assert: (self ajax reset; password: 'topsecret')
		equals: self name , '.ajax({password:"topsecret"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testProcessData
	self
		assert: (self ajax reset; processData: false)
		equals: self name , '.ajax({processData:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/21/2008 13:48'!
testScript
	self 
		assert: (self ajax script: [ :script | script alert: 'Hello' ])
		equals: self name , '.ajax({url:"http://www.seaside.st/",data:["_s=1","_k=a","1"].join("&"),dataType:"script"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testScriptCharset
	self
		assert: (self ajax reset; scriptCharset: 'utf-8')
		equals: self name , '.ajax({scriptCharset:"utf-8"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testTimeout
	self
		assert: (self ajax reset; timeout: 1200)
		equals: self name , '.ajax({timeout:1200})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testType
	self
		assert: (self ajax reset; type: 'post')
		equals: self name , '.ajax({type:"POST"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testUrl
	self
		assert: (self ajax reset; url: 'http://www.seaside.st/')
		equals: self name , '.ajax({url:"http://www.seaside.st/"})'.
	self
		assert: (self ajax reset; url: (WAUrl absolute: 'http://www.seaside.st/'))
		equals: self name , '.ajax({url:"http://www.seaside.st/"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/21/2008 13:45'!
testUsername
	self
		assert: (self ajax reset; username: 'seaside')
		equals: self name , '.ajax({username:"seaside"})'! !

JQueryTest subclass: #JQueryClassTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:03'!
testBrowser
	self
		assert: self jQuery browser
		equals: self name , '.browser'! !

!JQueryClassTest methodsFor: 'testing' stamp: 'lr 10/16/2008 14:46'!
testClass
	self
		assert: self jQuery
		equals: self name! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testExpression
	self
		assert: (self jQuery expression: '#foo')
		equals: self name , '("#foo")'.
	self
		assert: (self jQuery expression: 'div > p')
		equals: self name , '("div > p")'.
	self
		assert: (self jQuery expression: 'ul li.active')
		equals: self name , '("ul li.active")'
! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testExpressionContext
	self
		assert: (self jQuery expression: '#foo' context: 123)
		equals: self name , '("#foo",123)'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:06'!
testHasBoxModel
	self
		assert: self jQuery hasBoxModel
		equals: self name , '.boxModel'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testHtml
	self
		assert: (self jQuery html: [ :html | html div: 'foo' ])
		equals: self name , '("<div>foo</div>")'.
	self
		assert: (self jQuery html: [ :html | html div title: 'foo'; with: 'bar' ])
		equals: self name , '("<div title=\"foo\">bar</div>")'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsExplorer
	self
		assert: self jQuery isExplorer
		equals: self name , '.browser.msie'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsMozilla
	self
		assert: self jQuery isMozilla
		equals: self name , '.browser.mozilla'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:05'!
testIsOpera
	self
		assert: self jQuery isOpera
		equals: self name , '.browser.opera'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:04'!
testIsSafari
	self
		assert: self jQuery isSafari
		equals: self name , '.browser.safari'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testReady
	self
		assert: (self jQuery ready: (self javascript alert: 'Hello'))
		equals: self name , '(function(){alert("Hello")})'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/16/2008 14:46'!
testThis
	self
		assert: self jQuery this
		equals: self name , '(this)'! !

!JQueryClassTest methodsFor: 'testing-agent' stamp: 'lr 10/16/2008 18:04'!
testVersion
	self
		assert: self jQuery version
		equals: self name , '.browser.version'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:48'!
testWithBlock
	self
		assert: (self jQuery: [ :html | html heading: 'jQuery' ])
		equals: self name , '("<h1>jQuery</h1>")'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 15:36'!
testWithNil
	self
		assert: (self jQuery: nil)
		equals: self name , '(this)'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:49'!
testWithString
	self
		assert: (self jQuery: 'div > p')
		equals: self name , '("div > p")'! !

!JQueryClassTest methodsFor: 'testing-with' stamp: 'lr 10/16/2008 14:48'!
testWithSymbol
	self
		assert: (self jQuery: #foo)
		equals: self name , '("#foo")'! !

JQueryTest subclass: #JQueryInstanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testAdd
	self
		assert: ((self jQuery: 'div') add: 'p')
		equals: self name , '("div").add("p")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testAddClass
	self
		assert: ((self jQuery: 'p:last') addClass: 'selected')
		equals: self name , '("p:last").addClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testAfter
	self
		assert: ((self jQuery: 'p') after: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").after("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') insertAfter: '#foo')
		equals: self name , '("span").insertAfter("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/16/2008 14:46'!
testAndSelf
	self
		assert: ((self jQuery: 'div') find: 'p'; andSelf; addClass: 'border')
		equals: self name , '("div").find("p").andSelf().addClass("border")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testAppend
	self
		assert: ((self jQuery: 'p') append: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").append("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') appendTo: '#foo')
		equals: self name , '("span").appendTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributeAt
	self
		assert: ((self jQuery: 'em') attributeAt: 'title')
		equals: self name , '("em").attr("title")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributeAtPut
	self
		assert: ((self jQuery: 'button:gt(1)') attributeAt: 'disabled' put: true)
		equals: self name , '("button:gt(1)").attr("disabled",true)'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testAttributes
	self
		assert: ((self jQuery: 'img') attributes: (WASmallDictionary new
			at: 'src' put: '/images/hat.gif';
			at: 'title' put: 'jQuery';
			at: 'alt' put: 'jQuery Logo';
			yourself))
		equals: self name , '("img").attr({src:"/images/hat.gif",title:"jQuery",alt:"jQuery Logo"})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testBefore
	self
		assert: ((self jQuery: 'p') before: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").before("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') insertBefore: '#foo')
		equals: self name , '("span").insertBefore("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testChildren
	self
		assert: (((self jQuery: 'div')) children)
		equals: self name , '("div").children()'.
	self
		assert: ((self jQuery: 'div') children: 'p')
		equals: self name , '("div").children("p")'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/16/2008 14:46'!
testClone
	self
		assert: (((self jQuery: 'div')) clone)
		equals: self name , '("div").clone()'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/16/2008 14:46'!
testCloneAll
	self
		assert: (((self jQuery: 'div')) cloneAll)
		equals: self name , '("div").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testCollect
	self
		assert: ((self jQuery: 'div') collect: [ :each | each parent ])
		equals: self name , '("div").map(function(){return ' , self name , '(this).parent()})'.
	self
		assert: ((self jQuery: 'div') collect: [ :each :index | each parents eq: index ])
		equals: self name , '("div").map(function(){return ' , self name , '(this).parents().eq(arguments[0])})'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testContents
	self
		assert: (((self jQuery: 'div')) contents)
		equals: self name , '("div").contents()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testCopying
	self
		assert: (((self jQuery: 'p')) clone)
		equals: self name , '("p").clone()'.
	self
		assert: (((self jQuery: 'p')) cloneAll)
		equals: self name , '("p").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCss
	self
		assert: ((self jQuery: 'div') css: (Dictionary new
			at: 'border' put: '1px solid red';
			yourself))
		equals: self name , '("div").css({border:"1px solid red"})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCssAt
	self
		assert: ((self jQuery: '#foo') cssAt: 'border')
		equals: self name , '("#foo").css("border")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testCssAtPut
	self
		assert: ((self jQuery: 'p') cssAt: 'border' put: '1px solid red')
		equals: self name , '("p").css("border","1px solid red")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testEmpty
	self 
		assert: (((self jQuery: 'div')) empty)
		equals: self name , '("div").empty()'.! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/16/2008 14:46'!
testEnd
	self
		assert: ((self jQuery: 'p') find: 'span'; addClass: 'border'; end; addClass: 'highlight')
		equals: self name , '("p").find("span").addClass("border").end().addClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testEq
	self
		assert: ((self jQuery: 'div') eq: 4)
		equals: self name , '("div").eq(4)'.
	self
		assert: ((self jQuery: 'div') eq: -1)
		equals: self name , '("div").eq(-1)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testFilter
	self
		assert: ((self jQuery: 'div') filter: 'p')
		equals: self name , '("div").filter("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testFind
	self
		assert: ((self jQuery: 'div') find: ':even')
		equals: self name , '("div").find(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testHasClass
	self
		assert: ((self jQuery: 'p') hasClass: 'selected')
		equals: self name , '("p").hasClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testHeight
	self
		assert: (((self jQuery: 'div')) height)
		equals: self name , '("div").height()'.
	self
		assert: (((self jQuery: 'div')) height: 17)
		equals: self name , '("div").height(17)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 14:46'!
testHtml
	self 
		assert: (((self jQuery: 'div')) html)
		equals: self name , '("div").html()'.
	self 
		assert: ((self jQuery: 'div') html: [ :html | html div ])
		equals: self name , '("div").html("<div></div>")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testInnerHeight
	self
		assert: (((self jQuery: 'div')) innerHeight)
		equals: self name , '("div").innerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testInnerWidth
	self
		assert: (((self jQuery: 'div')) innerWidth)
		equals: self name , '("div").innerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testIs
	self
		assert: ((self jQuery: 'div') is: ':odd')
		equals: self name , '("div").is(":odd")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testNext
	self
		assert: (((self jQuery: 'div')) next)
		equals: self name , '("div").next()'.
	self
		assert: ((self jQuery: 'div') next: 'p')
		equals: self name , '("div").next("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testNextAll
	self
		assert: (((self jQuery: 'div')) nextAll)
		equals: self name , '("div").nextAll()'.
	self
		assert: ((self jQuery: 'div') nextAll: 'p')
		equals: self name , '("div").nextAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testNot
	self
		assert: ((self jQuery: 'div') not: ':even')
		equals: self name , '("div").not(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOffset
	self
		assert: (((self jQuery: 'div')) offset)
		equals: self name , '("div").offset()'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testOnDo
	self
		assert: ((self jQuery: 'a') on: 'click' do: (self javascript alert: 'Clicked'))
		equals: self name , '("a").bind("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testOnOnce
	self
		assert: ((self jQuery: 'a') on: 'click' once: (self javascript alert: 'Clicked'))
		equals: self name , '("a").one("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOuterHeight
	self
		assert: (((self jQuery: 'div')) outerHeight)
		equals: self name , '("div").outerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testOuterWidth
	self
		assert: (((self jQuery: 'div')) outerWidth)
		equals: self name , '("div").outerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testParent
	self
		assert: (((self jQuery: 'div')) parent)
		equals: self name , '("div").parent()'.
	self
		assert: ((self jQuery: 'div') parent: 'p')
		equals: self name , '("div").parent("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testParents
	self
		assert: (((self jQuery: 'div')) parents)
		equals: self name , '("div").parents()'.
	self
		assert: ((self jQuery: 'div') parents: 'p')
		equals: self name , '("div").parents("p")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testPosition
	self
		assert: (((self jQuery: 'div')) position)
		equals: self name , '("div").position()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testPrepend
	self
		assert: ((self jQuery: 'p') prepend: [ :html | html strong: 'Hello' ])
		equals: self name , '("p").prepend("<strong>Hello</strong>")'.
	self
		assert: ((self jQuery: 'span') prependTo: '#foo')
		equals: self name , '("span").prependTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testPrev
	self
		assert: (((self jQuery: 'div')) prev)
		equals: self name , '("div").prev()'.
	self
		assert: ((self jQuery: 'div') prev: 'p')
		equals: self name , '("div").prev("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testPrevAll
	self
		assert: (((self jQuery: 'div')) prevAll)
		equals: self name , '("div").prevAll()'.
	self
		assert: ((self jQuery: 'div') prevAll: 'p')
		equals: self name , '("div").prevAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testReject
	self
		assert: ((self jQuery: 'div') reject: [ :each | each hasClass: 'active' ])
		equals: self name , '("div").filter(function(){return ' , self name , '(this).hasClass("active")})'.
	self
		assert: ((self jQuery: 'div') reject: [ :each :index | (each hasClass: 'active') | index not ])
		equals: self name , '("div").filter(function(){return ' , self name , '(this).hasClass("active")||!!arguments[0]})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testRemove
	self 
		assert: (((self jQuery: 'div')) remove)
		equals: self name , '("div").remove()'.
	self 
		assert: (((self jQuery: 'div')) remove: 'p')
		equals: self name , '("div").remove("p")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/16/2008 14:46'!
testRemoveAttribute
	self
		assert: ((self jQuery: 'button') removeAttribute: 'disabled')
		equals: self name , '("button").removeAttr("disabled")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testRemoveClass
	self
		assert: ((self jQuery: 'p:even') removeClass: 'selected')
		equals: self name , '("p:even").removeClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testReplace
	self
		assert: ((self jQuery: 'p') replaceWith: [ :html | html emphasis: 'Hello' ])
		equals: self name , '("p").replaceWith("<em>Hello</em>")'.
	self
		assert: ((self jQuery html: [ :html | html div: 'Hello' ]) replaceAll: '.foo')
		equals: self name , '("<div>Hello</div>").replaceAll(".foo")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testScrollLeft
	self
		assert: (((self jQuery: 'div')) scrollLeft)
		equals: self name , '("div").scrollLeft()'.
	self
		assert: (((self jQuery: 'div')) scrollLeft: 17)
		equals: self name , '("div").scrollLeft(17)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testScrollTop
	self
		assert: (((self jQuery: 'div')) scrollTop)
		equals: self name , '("div").scrollTop()'.
	self
		assert: (((self jQuery: 'div')) scrollTop: 17)
		equals: self name , '("div").scrollTop(17)'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/16/2008 14:46'!
testSiblings
	self
		assert: (((self jQuery: 'div')) siblings)
		equals: self name , '("div").siblings()'.
	self
		assert: ((self jQuery: 'div') siblings: 'p')
		equals: self name , '("div").siblings("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testSliceFrom
	self
		assert: ((self jQuery: 'div') sliceFrom: 0)
		equals: self name , '("div").slice(0)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/16/2008 14:46'!
testSliceFromTo
	self
		assert: ((self jQuery: 'div') sliceFrom: 2 to: 5)
		equals: self name , '("div").slice(2,5)'.
	self
		assert: ((self jQuery: 'div') sliceFrom: -1 to: -4)
		equals: self name , '("div").slice(-1,-4)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 14:46'!
testText
	self 
		assert: (((self jQuery: 'p')) text)
		equals: self name , '("p").text()'.
	self 
		assert: ((self jQuery: 'p') text: 'foo')
		equals: self name , '("p").text("foo")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/16/2008 14:46'!
testToggleClass
	self
		assert: ((self jQuery: 'p') toggleClass: 'highlight')
		equals: self name , '("p").toggleClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testTrigger
	self
		assert: ((self jQuery: 'a') trigger: 'click')
		equals: self name , '("a").trigger("click")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/16/2008 14:46'!
testUnbind
	self
		assert: ((self jQuery: 'a') unbind: 'click')
		equals: self name , '("a").unbind("click")'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/16/2008 22:28'!
testValue
	self 
		assert: ((self jQuery: 'input') value)
		equals: self name , '("input").val()'.
	self 
		assert: ((self jQuery: 'input') value: 'bar')
		equals: self name , '("input").val("bar")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/16/2008 14:46'!
testWidth
	self
		assert: (((self jQuery: 'div')) width)
		equals: self name , '("div").width()'.
	self
		assert: (((self jQuery: 'div')) width: 17)
		equals: self name , '("div").width(17)'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/16/2008 14:46'!
testWrap
	self
		assert: ((self jQuery: 'p') wrap: [ :html | html strong ])
		equals: self name , '("p").wrap("<strong></strong>")'.
	self
		assert: ((self jQuery: 'p') wrapAll: [ :html | html div ])
		equals: self name , '("p").wrapAll("<div></div>")'.
	self
		assert: ((self jQuery: 'p') wrapInner: [ :html | html span ])
		equals: self name , '("p").wrapInner("<span></span>")'! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 16:47'!
jQuery
	^ JQueryClass on: self canvas! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/16/2008 00:53'!
jQuery: anObject
	^ self jQuery with: anObject! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/16/2008 14:50'!
name
	"Answers the name of the jQuery function. This can be either '$' or 'jQuery' or any other user chosen name. This makes sure the tests run in any case."

	^ JQuery functionName! !

WAComponent subclass: #JQAllTests
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:23'!
canBeRoot
	^ true! !

!JQAllTests class methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:23'!
description
	^ 'Functional jQuery Test Suite'! !

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/20/2008 20:15'!
initialize
	| application |
	application := WAAdmin register: self at: 'tests/jquery'.
	application 
		addLibrary: JQProductionLibrary;
		addLibrary: JQFileLibrary! !

!JQAllTests methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:29'!
children
	^ children! !

!JQAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:38'!
heading
	^ 'Functional Seaside Tests'! !

!JQAllTests methodsFor: 'initialization' stamp: 'lr 10/16/2008 20:19'!
initialize
	super initialize.
	children := JQFunctionalTest allSubclasses 
		asSortedCollection: [ :a :b | a name < b name ].
	children := children collect: [ :each | each new ]! !

!JQAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:27'!
navigation
	^ #(('http://www.seaside.st/' 'Seaside') ('http://jquery.com/' 'JQuery') ('http://docs.jquery.com/' 'Documentation'))! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:34'!
renderBodyOn: html! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:34'!
renderContentOn: html
	html div id: 'wrapper'; with: [
		html div id: 'banner'; with: [ 
			self renderLogoOn: html.
			self renderNavigationOn: html ].
		html div id: 'content-wrapper'; with: [
			html div id: 'content'; with: [
				html div class: 'content-top'.
				html div class: 'content'; with: [
					self renderHeadOn: html.
					self renderBodyOn: html.
					self renderFootOn: html ] ] ] ]! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:34'!
renderFootOn: html! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:38'!
renderHeadOn: html
	html div class: 'content-head'; with: [
		html heading level: 2; with: self heading.
		html paragraph: self slogan ]! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:20'!
renderLogoOn: html
	html heading level: 1; class: 'logo'; with: [
		html anchor
			url: self url;
			title: self title;
			with: [ html span: self title ] ]! !

!JQAllTests methodsFor: 'rendering' stamp: 'lr 10/20/2008 20:27'!
renderNavigationOn: html
	html div id: 'navigation'; with: [
		html div class: 'left'.
		html unorderedList: [
			self navigation do: [ :pair |
				html listItem: [
					html anchor
						url: pair first;
						with: pair last ] ] ].
		html div class: 'right' ]! !

!JQAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:44'!
slogan
	^ 'Smalltalk and Javascript married'! !

!JQAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:42'!
title
	^ 'jQuery - Functional Seaside Tests'! !

!JQAllTests methodsFor: 'updating' stamp: 'lr 10/20/2008 20:30'!
updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.
	aHtmlRoot title: self title! !

!JQAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:20'!
url
	^ 'http://www.jquery.com/'! !

WAComponent subclass: #JQFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

JQFunctionalTest subclass: #JQAnimateTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAnimateTest methodsFor: 'as yet unclassified' stamp: 'lr 10/16/2008 16:06'!
renderContentOn: html
	html div
		id: #animated;
		style: 'position: relative; width: 100px; height: 100px; background-color: #77f'.
		
	html paragraph: 'Relative Values'.
	html button
		onClick: ((html jQuery: #animated) animate left: '-=100px');
		with: '<<'.
	html button
		onClick: ((html jQuery: #animated) animate left: '+=100px');
		with: '>>'.

	html paragraph: 'Toggle Values'.
	html button
		onClick: ((html jQuery: #animated) animate height: 'toggle');
		with: 'height'.
	html button
		onClick: ((html jQuery: #animated) animate width: 'toggle');
		with: 'width'.

	html paragraph: 'Absolute Values'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 0.0);
		with: '0%'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 0.5);
		with: '50%'.
	html button
		onClick: ((html jQuery: #animated) animate opacity: 1.0);
		with: '100%'.
		
	html paragraph: 'Multiple Values'.		
	html button
		onClick: ((html jQuery: #animated) animate width: 60; height: 60; border: '20px solid #00f');
		with: 'show'.
	html button
		onClick: ((html jQuery: #animated) animate width: 100; height: 100; border: '0px solid #00f');
		with: 'hide'.
! !

JQFunctionalTest subclass: #JQCounterTest
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQCounterTest methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:26'!
initialize
	super initialize.
	count := 0! !

!JQCounterTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 22:02'!
renderContentOn: html
	html anchor
		onClick: (html jQuery ajax
			script: [ :s | (s jQuery: #count) html: (count := count - 1) ]);
		with: '--'.
	html anchor
		onClick: (html jQuery ajax
			script: [ :s | (s jQuery: #count) html: (count := count + 1) ]);
		with: '++'.
	html div
		id: 'count';
		with: count! !

JQFunctionalTest subclass: #JQFormTest
	instanceVariableNames: 'textInput textArea checkBox radioButton selectList mutliSelectList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQFormTest methodsFor: 'initialization' stamp: 'lr 10/16/2008 18:11'!
initialize
	super initialize.
	textInput := 'Text Input'.
	textArea := 'Text Area'.
	checkBox := false.
	radioButton := 1.
	selectList := 1.
	mutliSelectList := 1 to: 2! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:11'!
renderCheckBoxOn: html
	self
		renderLabel: 'Check-Box'
		control: [ :id |
			html checkbox
				id: id;
				value: checkBox;
				callback: [ :value | checkBox := value ] ]
		model: checkBox
		on: html! !

!JQFormTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 22:20'!
renderContentOn: html
	html div 
		id: #form;
		with: [ self renderFormOn: html ].
	html script: ((html jQuery: #form)
		onChange: ((html jQuery ajax
			serialize: (html jQuery: 'form');
			script: [ :s | 
				(s jQuery: #form) 
					html: [ :r | self renderFormOn: r ] ])))! !

!JQFormTest methodsFor: 'rendering' stamp: 'lr 10/16/2008 18:47'!
renderFormOn: html
	html form: [
		self renderTextInputOn: html.
		self renderTextAreaOn: html.
		self renderCheckBoxOn: html.
		self renderRadioButtonOn: html.
		self renderSelectListOn: html.
		self renderMultiSelectListOn: html ]
! !

!JQFormTest methodsFor: 'rendering-utilities' stamp: 'lr 10/16/2008 18:10'!
renderLabel: aString control: aBlock model: anObject on: html
	| id |
	html fieldSet: [
		html label
			for: (id := html nextId);
			with: aString.
		html span: [ aBlock value: id ].
		html paragraph: anObject ]! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderMultiSelectListOn: html
	self
		renderLabel: 'Multi-Select-List'
		control: [ :id |
			html multiSelect
				id: id;
				size: 3;
				list: (1 to: 9);
				selected: mutliSelectList;
				callback: [ :value | mutliSelectList := value ] ]
		model: mutliSelectList
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderRadioButtonOn: html
	self
		renderLabel: 'Radio-Button'
		control: [ :id |
			html radioGroup: [ :group |
				1 to: 3 do: [ :each |
					html label: [
						html radioButton
							group: group;
							selected: radioButton = each;
							callback: [ radioButton := each ].
					 	html text: each ].
					html break ] ] ]
		model: radioButton
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:12'!
renderSelectListOn: html
	self
		renderLabel: 'Select-List'
		control: [ :id |
			html select
				id: id;
				list: (1 to: 9);
				selected: selectList;
				callback: [ :value | selectList := value ] ]
		model: selectList
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:13'!
renderTextAreaOn: html
	self
		renderLabel: 'Text-Area'
		control: [ :id |
			html textArea
				id: id;
				columns: 20;
				value: textArea;
				callback: [ :value | textArea := value ] ]
		model: textArea
		on: html! !

!JQFormTest methodsFor: 'rendering-elements' stamp: 'lr 10/16/2008 18:13'!
renderTextInputOn: html
	self
		renderLabel: 'Text-Input'
		control: [ :id |
			html textInput
				id: id;
				value: textInput;
				callback: [ :value | textInput := value ] ]
		model: textInput
		on: html! !

JQFunctionalTest subclass: #JQUpdaterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQUpdaterTest methodsFor: 'as yet unclassified' stamp: 'jf 10/20/2008 00:17'!
renderContentOn: html
	html code id: #log.
	
	" clears the log whenever a link is clicked "
	self requestContext addLoadScript: ((html jQuery: 'a')
		onMouseDown: ((html jQuery: #log)
			empty)).

	" in case of an ajax event update the log "
	#(onAjaxComplete: onAjaxError: onAjaxSend: onAjaxStart: onAjaxStop: onAjaxSuccess:) do: [ :each |
		self requestContext addLoadScript: ((html jQuery: #log) 
			perform: each with: ((html jQuery: #log)
				append: each allButLast , ' ')) ]! !
JQAllTests initialize!
